%define	name	macutils
%define	version	2.0b3
%define	release	16mdk

Summary:	Utilities for manipulating Macintosh file formats
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL-style
Group:		Networking/Other
Url:		ftp://sunsite.unc.edu/pub/Linux/utils/compress/
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/compress/macutils.tar.bz2
Patch0:		macutils-misc.patch.bz2
Patch1:		macutils-2.0b3-gcc3.4-fix.patch.bz2
Patch2:		macutils-2.0b3-gcc4.0-fixes.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The macutils package includes a set of utilities for manipulating
files that are commonly used by Macintosh machines.  Macutils includes
utilities like binhex, hexbin, macunpack, etc.

Install macutils if you need to manipulate files that are commonly used
by Macintosh machines.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1 -b .gcc34
%patch2 -p1 -b .gcc40

%build
perl -p -i -e "s/CF =/CF = $RPM_OPT_FLAGS/" makefile

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m 755 binhex/binhex  $RPM_BUILD_ROOT%{_bindir}
install -m 755 hexbin/hexbin $RPM_BUILD_ROOT%{_bindir}
install -m 755 comm/frommac $RPM_BUILD_ROOT%{_bindir}
install -m 755 mixed/macsave $RPM_BUILD_ROOT%{_bindir}
install -m 755 mixed/macstream $RPM_BUILD_ROOT%{_bindir}
install -m 755 macunpack/macunpack $RPM_BUILD_ROOT%{_bindir}

install -m 644 man/* $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Oct 17 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0b3-16mdk
- rebuild
- Patch2: fix gcc 4.0 errors and most warnings

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0b3-15mdk
- fix gcc-3.4 build (P1)
- cosmetics

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0b3-14mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-13mdk
- rebuild

* Fri Jan 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-12mdk
- add the most suitable url found

* Mon Jul 30 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-11mdk
- rebuild & license

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-10mdk
- rebuild

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-9mdk 
- build for gcc-2.96

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-8mdk
- provide missing file hexbin

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-7mdk
- BM
- Macros

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0b3-6mdk
- spechelper fixes
- group fix
- fix install

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
